/*
 * System Interface Library for games
 * Copyright (c) 2007-2018 Andrew Church <achurch.org>
 * Released under the GNU GPL version 3 or later; NO WARRANTY is provided.
 * See the file COPYING.txt for details.
 *
 * include/SIL/sysdep/linux/common.h: Global declarations specific to Linux.
 */

#ifndef SIL_SYSDEP_LINUX_COMMON_H
#define SIL_SYSDEP_LINUX_COMMON_H

EXTERN_C_BEGIN

/*************************************************************************/
/*************************************************************************/

/**
 * linux_enable_unfocused_joystick_input:  Set whether or not to send
 * joystick input events while the current window does not have input
 * focus.  The default is true (input events will be sent).
 *
 * [Parameters]
 *     enable: True to send joystick input events while the window does
 *         not have focus, false to suppress them.
 */
extern void linux_enable_unfocused_joystick_input(int enable);

/*************************************************************************/
/*************************************************************************/

EXTERN_C_END

#endif  // SIL_SYSDEP_LINUX_COMMON_H
